## WebKitUserMediaPermissionRequest WebKitUserMediaPermissionRequest — A permission request for accessing user's audio/video devices. |

## Functions

gboolean | webkit_user_media_permission_is_for_audio_device ()
gboolean | webkit_user_media_permission_is_for_video_device ()

## Properties

gboolean | is-for-audio-device | Read
gboolean | is-for-video-device | Read

## Types and Values

struct | WebKitUserMediaPermissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitUserMediaPermissionRequest

## Implemented Interfaces

WebKitUserMediaPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitUserMediaPermissionRequest represents a request for permission to decide whether WebKit should be allowed to access the user's audio and video source devices when requested throught the getUserMedia API.

## Functions

### webkit_user_media_permission_is_for_audio_device ()

    gboolean
    webkit_user_media_permission_is_for_audio_device
                                   (WebKitUserMediaPermissionRequest *request);

#### Parameters

request | a WebKitUserMediaPermissionRequest |

#### Returns

`TRUE` if access to an audio device was requested.

Since 2.8

### webkit_user_media_permission_is_for_video_device ()

    gboolean
    webkit_user_media_permission_is_for_video_device
                                   (WebKitUserMediaPermissionRequest *request);

#### Parameters

request | a WebKitUserMediaPermissionRequest |

#### Returns

`TRUE` if access to a video device was requested.

Since 2.8

## Types and Values

### struct WebKitUserMediaPermissionRequest

    struct WebKitUserMediaPermissionRequest;

## Property Details

### The `“is-for-audio-device”` property

      “is-for-audio-device”      gboolean

Wether the media device to which the permission was requested has a microphone or not.

Flags: Read

Default value: FALSE

### The `“is-for-video-device”` property

      “is-for-video-device”      gboolean

Wether the media device to which the permission was requested has a video capture capability or not.

Flags: Read

Default value: FALSE

## See Also

WebKitPermissionRequest, WebKitWebView